Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 461425 - Review Request: daap-sharp - DAAP client library for Mono
Summary: Review Request: daap-sharp - DAAP client library for Mono
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-09-07 20:32 UTC by Ian Burrell
Modified: 2009-03-24 19:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-24 19:13:10 UTC


Attachments (Terms of Use)

Description Ian Burrell 2008-09-07 20:32:12 UTC
This is a re-review of an orphaned package.

Spec URL: http://znark.com/fedora/daap-sharp.spec
SRPM URL: http://znark.com/fedora/daap-sharp-0.3.5-2.fc10.src.rpm
Description: daap-sharp is a DAAP (Digial Audio Access Protocol) implementation.
It is used by Apple's iTunes software to share music.

Comment 1 Peter Lemenkov 2008-09-08 05:06:04 UTC
Seems that it's already in Fedora

http://cvs.fedoraproject.org/viewvc/rpms/daap-sharp/

Comment 2 Ian Burrell 2008-09-10 20:59:43 UTC
(In reply to comment #1)
> Seems that it's already in Fedora
> 
> http://cvs.fedoraproject.org/viewvc/rpms/daap-sharp/

It was in Fedora.  It got orphaned and removed around Fedora 7.  It needs a re-review to be restored.

Comment 3 Michel Alexandre Salim 2008-09-22 17:12:19 UTC
Straightforward review, since the package has already been approved, so these are just clean-up requests.

rpmlint:
daap-sharp.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 10)

Easiest fix is to open the file in Emacs, select all, then M-x untabify

Package builds OK, but on my system that has monodoc installed, it generates some files that are currently unpackaged:

RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/lib64/monodoc/sources/daap-sharp-docs.source
   /usr/lib64/monodoc/sources/daap-sharp-docs.tree
   /usr/lib64/monodoc/sources/daap-sharp-docs.zip

These won't be generated by Koji since monodoc is not installed there, but would you consider adding a BR and packaging them, perhaps in a -doc subpackage?

Comment 4 Michel Alexandre Salim 2008-09-22 18:04:07 UTC
Fails on ppc64, not sure if it's transient or not, but you might want to take a look. If it's replicable you might want to ExcludeArch ppc64 and file a tracking bug (or reuse the Mono ppc64 tracking bug)

http://koji.fedoraproject.org/koji/taskinfo?taskID=836708

Comment 5 Michel Alexandre Salim 2008-10-10 13:20:39 UTC
ping?

Comment 6 Michel Alexandre Salim 2009-03-24 19:13:10 UTC
Closing due to lack of response


Note You need to log in before you can comment on or make changes to this bug.